export interface IChecker {
    isFunction: (func: any) => boolean;
    isMiddlewares: (props: string) => boolean;
    isString: (str: any) => boolean;
    isObject: (obj: any) => boolean;
    isPromise: (obj: any) => boolean;
    isUndefined: (obj: any) => boolean;
}
export declare const isUndefined: IChecker['isUndefined'];
export declare const isFunction: IChecker['isFunction'];
export declare const isMiddlewares: IChecker['isMiddlewares'];
export declare const isObject: IChecker['isObject'];
export declare const isString: IChecker['isString'];
export declare const isPromise: IChecker['isPromise'];
declare const _default: {
    isFunction: (func: any) => boolean;
    isMiddlewares: (props: string) => boolean;
    isPromise: (obj: any) => boolean;
    isObject: (obj: any) => boolean;
    isUndefined: (obj: any) => boolean;
    isString: (str: any) => boolean;
};
export default _default;
